# ManifestRequest | xrpl
Documentation for xrpl

# Interface ManifestRequest

The `manifest` method reports the current "manifest" information for a given validator public key. The "manifest" is the public portion of that validator's configured token. Expects a response in the form of a ManifestResponse.

### Example

    const manifest: ManifestRequest = {
     "command": "manifest",
     "public_key": "nHUFE9prPXPrHcG3SkwP1UzAQbSphqyQkQK9ATXLZsfkezhhda3p"
    }

#### Hierarchy

- BaseRequest
  - ManifestRequest

- Defined in packages/xrpl/src/models/methods/manifest.ts:19

#####
Index

### Properties

api_version?
command
id?
public_key

## Properties

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:14

### command

command: "manifest"

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/manifest.ts:20

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:10

### public_key

public_key: string

The base58-encoded public key of the validator to look up. This can be the master public key or ephemeral public key.

- Defined in packages/xrpl/src/models/methods/manifest.ts:25

Generated using TypeDoc